import { Component, h, Prop } from '@stencil/core';
export class PromotedBenefits {
  render() {
    if (!this.benefits) {
      return undefined;
    }
    return (h("div", { class: "list-group list-group-horizontal-md mb-4" }, this.benefits.map((benefit) => (h("a", { href: "#", class: "list-group-item list-group-item-action p-4" },
      h("ap-ben-benefit-card", { key: benefit.benefitId, benefitWithId: benefit }))))));
  }
  static get is() { return "ap-ben-promoted-benefits"; }
  static get properties() { return {
    "benefits": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "BenefitWithIdDto[]",
        "resolved": "BenefitWithIdDto[] | undefined",
        "references": {
          "BenefitWithIdDto": {
            "location": "import",
            "path": "../../../apis/benefits-api/benefits-api.dto"
          }
        }
      },
      "required": false,
      "optional": true,
      "docs": {
        "tags": [],
        "text": ""
      }
    }
  }; }
}
